PHP is one of the most widely used open-source scripting languages. It is extremely popular since it’s free software, which you can use to build responsive websites like community portals, e-shops or online teaching sites instead of static HTML-based sites. A PHP module must be installed on the web server where a PHP-driven website is hosted so that its code can be ‘decrypted’. As there are no license taxes for this sort of module and the language itself provides limitless possibilities for the apps that you develop, there’re 100s of millions of PHP-powered sites. In addition, there’re a lot of PHP scripts, which you can use for your sites without the need to have any programming capabilities. Given the fact that there are different PHP versions, you must verify if the same exact version that you used while setting up your website is present on the web server too.

PHP 4 and PHP 5 Support in Website Hosting

In case you buy a website hosting package from our company, you won’t ever need to speculate about whether your websites are compatible with the hosting platform, since several PHP versions are activated on our servers for your convenience’s sake. The Hepsia Control Panel will allow you to select PHP 5.5, 5.4, 5.3, 5.2 or 4 with only one single mouse click and in case you need to change the current version, the new settings will be applied straight away. Thus, years of work on websites created with an older version of PHP won’t go down the tube. Our web hosting platform will even permit you to use a different version of PHP for each domain hosted in your account, which implies that you can run newer and older scripts simultaneously. Most web hosting providers on the market offer support for one, sometimes for two versions of PHP. Unlike them, we believe that you should be the one to choose the version that your very own sites will use.

PHP 4 and PHP 5 Support in Semi-dedicated Hosting

Even if your sites were built with an older version of PHP, you will be able to host them in a semi-dedicated server account from us, as we support different versions running at the same time on our servers and each of them can be enabled for your account with just one click of the mouse through our custom-created Hepsia hosting Control Panel. Aside from the newest PHP 5.5 and PHP 5.4, we also offer 5.2, 5.3 and the older PHP 4. The latter has already been dropped by the majority of web hosting suppliers, but we are convinced that you shouldn’t be forced to modify a website that took several years to develop, since older scripting language syntax does not necessarily equal safety weaknesses. Just the opposite, a well-maintained website using PHP 4 can be more secure than a non-maintained one using PHP 5. For the sake of your convenience, we’ll also offer you the possibility to select a different version for each site within your account.